GNU bug report logs - #34648
26.1; emacs-client: gpm-mouse rejected at daemon launch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>; dated Mon, 25 Feb 2019 15:00:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34648 <at> debbugs.gnu.org:


Received: (at 34648) by debbugs.gnu.org; 26 Feb 2019 15:48:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 26 10:48:43 2019
Received: from localhost ([127.0.0.1]:53232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gyeyJ-00077e-C4
	for submit <at> debbugs.gnu.org; Tue, 26 Feb 2019 10:48:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gyeyH-00077R-6W
 for 34648 <at> debbugs.gnu.org; Tue, 26 Feb 2019 10:48:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34771)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gyeyB-0000ga-Tf; Tue, 26 Feb 2019 10:48:36 -0500
Received: from [176.228.60.248] (port=1595 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gyeyB-0001bw-H4; Tue, 26 Feb 2019 10:48:35 -0500
Date: Tue, 26 Feb 2019 17:48:49 +0200
Message-Id: <831s3umty6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>
In-reply-to: <2131263975.8304289.1551139927886@HIDDEN> (message from
 Luc Pierard de Maujouy on Tue, 26 Feb 2019 00:12:07 +0000 (UTC))
Subject: Re: bug#34648: 26.1; emacs-client: gpm-mouse rejected at daemon launch
References: <811395573.7577375.1551095457297.ref@HIDDEN>
 <811395573.7577375.1551095457297@HIDDEN> <83pnrfn8qh.fsf@HIDDEN>
 <2131263975.8304289.1551139927886@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34648
Cc: 34648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Tue, 26 Feb 2019 00:12:07 +0000 (UTC)
> From: Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>
> Cc: "34648 <at> debbugs.gnu.org" <34648 <at> debbugs.gnu.org>
> 
> I've just tried in .emacs:
> (add-hook 'after-make-frame-functions
>       (lambda (frame)
>         (when (display-graphic-p frame)  <<<<<<<<<<<<<<<<<
>           (gpm-mouse-mode t))))
> Which does nothing.

The display-graphic-p test is wrong: you want GPM on TTY frames, not
on GUI frames.

> Switching from when to unless trigger the initial error message.

Parse error.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34648; Package emacs. Full text available.

Message received at 34648 <at> debbugs.gnu.org:


Received: (at 34648) by debbugs.gnu.org; 26 Feb 2019 00:13:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 25 19:13:36 2019
Received: from localhost ([127.0.0.1]:51948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gyQNL-0004yU-9M
	for submit <at> debbugs.gnu.org; Mon, 25 Feb 2019 19:13:35 -0500
Received: from sonic307-8.consmr.mail.ir2.yahoo.com ([87.248.110.33]:41998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lpdmlpdm@HIDDEN>) id 1gyQNH-0004yF-VZ
 for 34648 <at> debbugs.gnu.org; Mon, 25 Feb 2019 19:13:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1551140006; bh=v30Ps7R/whT1EygW5IeerECH0lqrG4H31Yal2J+iM/0=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject;
 b=NrjOrscT2VvPvYaKEf/8gvqfh20Exg1RkM5Vcll2hn8bWDB6AK3TMhzGwJGvsKp9G+hbROToqtsvB+8d+lbn2OlJRgJsgtAt3sUhatZcvgr8kel2AUCcSKcLudCrPdIqW/a6anpdmAX10gmbA5S0ippyu8QRweIJ3ot2jYQdwtuDT3neYkHglWubdeE2WWjja+vWJ+c634HJyCUNEpIBKo2i1Llh8It/C3t6bh2lC01lGeGmoqqo6orB7433XZV25FIQYgLWf9IQA5pPsJrmytSI+X9o3Umz9homjU4xdcS4jfiyn+dcYnzE+EUakD9G9ylE8OkY/YRpe2EMHVKbKA==
X-YMail-OSG: XMc73NAVM1mY3zQ5hj8orQwzISxP0V4Af0qbn2oiXp17qgb7DHQObDBcHDbQ2m5
 4NoZ8eS0XYRxHSfABQdUTZdv1WteIVMdVtzad4xD_2ygM.Kgq50jM1vDF.CrUYJV2jSHE0x8Hye6
 llI8DdcGLt9zgPXPQSqocUPDyHN1pduNy7gf4X55bwZ80IkR.lCSAohKx1aKZVs14Lh6gWFkIYtW
 YRecuIRq4qpSPUvEHnbmx4yVurznymxLjXQq_VO5f5xSEQeYmsli4oTwIbZNqvhVWpjZgxbWwb4J
 7CkMmGaZFMh1ax_K5vHo56Nk7hKO.ZltuMwQLbz.OtmEanEEdjkBcpgbShYsGhCGfBDYpiA9I9XR
 3Am9kEVkYW31QCmrp_i2A3UcECmbsJLe9b0DVPavCbTgez0XqqQdmK8752KadsJ7P6dZnLvQgs0s
 fWmTnHqwqJ6QfamqRMlQze37ojRbLvjw7nvVQIN0gPHA4Rlq8m96L1KDSUu3UDh_Q2lufZXPgjbV
 LX6uidE.E9gz7.vZkz3VnOOaZFo.Bu2xKxQkwo6f3NfsH8N0vsSHmcY0mb2yD.FijS0Smk6vO.L9
 hKO2flhSHXSLeMDsrtINJPxYBVLrfNXiEnWDfHy.OgdXpK8EKwEeT_KW7Y7ZQzIwF9iuw40n1.Dr
 lzoTrYC.ewxe24q7JaobQGEGpAYhNPY2Kj01VOeMiCPQ14lJEC6FtmIpe.gCjvNS_AdUCPOsuXQS
 dqD8iBaMvvo4bUvI7l3_v16QV6gmDDXiQP7KpyZgxIs5q9UM4BF95i0kBd155bJVuGUgPWKbk8.7
 22wKO8oNfbvVGQOj9i6FMUvB_6_IBER77NO5IFPTM.qSbvdAGzgfb7A4ZQnMupVlwbZbjPCsT_D5
 ZYHTIkO53L9TwBYlL.nLBqZbqdfhodBqYejSTahqaLRzbNJibjZ9T7DA9UPi3DZ4W7.HF3qNEq7N
 FOwDMgVoKnroNSPP3CW8D86zL0eBx5BZBy_07hb7GA7PxRkxeyKWyT7JhCFkQcuabcLwOSgwfi7H
 bQXhNijnThg7lf_viWGl8IYR2xNZS9.Qk6LF1qOFRcCPn0nCOPz6t.JAk9m5ZFg--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ir2.yahoo.com with HTTP; Tue, 26 Feb 2019 00:13:26 +0000
Date: Tue, 26 Feb 2019 00:13:21 +0000 (UTC)
From: Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <386514786.8295983.1551140001111@HIDDEN>
In-Reply-To: <2131263975.8304289.1551139927886@HIDDEN>
References: <811395573.7577375.1551095457297.ref@HIDDEN>
 <811395573.7577375.1551095457297@HIDDEN> <83pnrfn8qh.fsf@HIDDEN>
 <2131263975.8304289.1551139927886@HIDDEN>
Subject: Re: bug#34648: 26.1; emacs-client: gpm-mouse rejected at daemon launch
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_8295982_813585212.1551140001109"
X-Mailer: WebService/1.1.13123 YMailNorrin Mozilla/5.0 (X11; Linux x86_64;
 rv:65.0) Gecko/20100101 Firefox/65.0
Content-Length: 16598
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Le mardi 26 février 2019 à 03:12:07 UTC+3, Luc Pierard
   de Maujouy a écrit : I've just tried in .emacs: (add-hook 'after-make-frame-functions
          (lambda (frame)         (when (display-graphic-p frame)   
           (gpm-mouse-mode t)))) Which does nothing. Swi [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
  1.0 HK_RANDOM_FROM         From username looks random
  0.5 FROM_LOCAL_NOVOWEL     From: localpart has series of non-vowel
                             letters
  0.6 HK_RANDOM_ENVFROM      Envelope sender username looks random
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
                             no trust
                             [87.248.110.33 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (lpdmlpdm[at]yahoo.com)
  0.0 HTML_MESSAGE           BODY: HTML included in message
X-Debbugs-Envelope-To: 34648
Cc: "34648 <at> debbugs.gnu.org" <34648 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Le mardi 26 février 2019 à 03:12:07 UTC+3, Luc Pierard
   de Maujouy a écrit : I've just tried in .emacs: (add-hook 'after-make-frame-functions
          (lambda (frame)         (when (display-graphic-p frame)   
           (gpm-mouse-mode t)))) Which does nothing. Swi [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
                             no trust
                             [87.248.110.33 listed in list.dnswl.org]
  1.0 HK_RANDOM_FROM         From username looks random
  0.5 FROM_LOCAL_NOVOWEL     From: localpart has series of non-vowel
                             letters
  0.6 HK_RANDOM_ENVFROM      Envelope sender username looks random
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (lpdmlpdm[at]yahoo.com)
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

------=_Part_8295982_813585212.1551140001109
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

=20

    Le mardi 26 f=C3=A9vrier 2019 =C3=A0 03:12:07 UTC+3, Luc Pierard de Mau=
jouy <lpdmlpdm@HIDDEN> a =C3=A9crit : =20
=20
  I've just tried in .emacs:
(add-hook 'after-make-frame-functions
=C2=A0=C2=A0 =C2=A0=C2=A0 (lambda (frame)
=C2=A0=C2=A0 =C2=A0=C2=A0=C2=A0=C2=A0 (when (display-graphic-p frame)
=C2=A0=C2=A0 =C2=A0=C2=A0=C2=A0 =C2=A0=C2=A0 (gpm-mouse-mode t))))
Which does nothing. Switching from when to unless trigger the initial error=
 message.

@ https://bugs.gentoo.org/677826 Gentoo's support noticed:=20
The error message is output in function gpm-mouse-start in term.c:

DEFUN ("gpm-mouse-start", Fgpm_mouse_start, Sgpm_mouse_start,
       0, 0, 0,
       doc: /* Open a connection to Gpm.
Gpm-mouse can only be activated for one tty at a time.  */)
  (void)
{
  struct frame *f =3D SELECTED_FRAME ();
  struct tty_display_info *tty
    =3D ((f)->output_method =3D=3D output_termcap
       ? (f)->terminal->display_info.tty : NULL);
  Gpm_Connect connection;

  if (!tty)
    error ("Gpm-mouse only works in the GNU/Linux console");

Debugging with gdb shows that when connected with emacsclient, (f)->output_=
method is output_initial, while with a standalone Emacs it is output_termca=
p.
Not sure if the conditional should be changed (to test for output_termcap o=
r output_initial), or if the value of (f)->output_method is wrong.
EOF https://bugs.gentoo.org/677826

My console env:

LS_COLORS=3Drs=3D0:di=3D01;34:ln=3D01;36:mh=3D00:pi=3D40;33:so=3D01;35:do=
=3D01;35:bd=3D40;33;01:cd=3D40;33;01:or=3D01;05;37;41:mi=3D01;05;37;41:su=
=3D37;41:sg=3D30;43:ca=3D30;41:tw=3D30;42:ow=3D34;42:st=3D37;44:ex=3D01;32:=
*.tar=3D01;31:*.tgz=3D01;31:*.arc=3D01;31:*.arj=3D01;31:*.taz=3D01;31:*.lha=
=3D01;31:*.lz4=3D01;31:*.lzh=3D01;31:*.lzma=3D01;31:*.tlz=3D01;31:*.txz=3D0=
1;31:*.tzo=3D01;31:*.t7z=3D01;31:*.zip=3D01;31:*.z=3D01;31:*.dz=3D01;31:*.g=
z=3D01;31:*.lrz=3D01;31:*.lz=3D01;31:*.lzo=3D01;31:*.xz=3D01;31:*.zst=3D01;=
31:*.tzst=3D01;31:*.bz2=3D01;31:*.bz=3D01;31:*.tbz=3D01;31:*.tbz2=3D01;31:*=
.tz=3D01;31:*.deb=3D01;31:*.rpm=3D01;31:*.jar=3D01;31:*.war=3D01;31:*.ear=
=3D01;31:*.sar=3D01;31:*.rar=3D01;31:*.alz=3D01;31:*.ace=3D01;31:*.zoo=3D01=
;31:*.cpio=3D01;31:*.7z=3D01;31:*.rz=3D01;31:*.cab=3D01;31:*.wim=3D01;31:*.=
swm=3D01;31:*.dwm=3D01;31:*.esd=3D01;31:*.jpg=3D01;35:*.jpeg=3D01;35:*.mjpg=
=3D01;35:*.mjpeg=3D01;35:*.gif=3D01;35:*.bmp=3D01;35:*.pbm=3D01;35:*.pgm=3D=
01;35:*.ppm=3D01;35:*.tga=3D01;35:*.xbm=3D01;35:*.xpm=3D01;35:*.tif=3D01;35=
:*.tiff=3D01;35:*.png=3D01;35:*.svg=3D01;35:*.svgz=3D01;35:*.mng=3D01;35:*.=
pcx=3D01;35:*.mov=3D01;35:*.mpg=3D01;35:*.mpeg=3D01;35:*.m2v=3D01;35:*.mkv=
=3D01;35:*.webm=3D01;35:*.ogm=3D01;35:*.mp4=3D01;35:*.m4v=3D01;35:*.mp4v=3D=
01;35:*.vob=3D01;35:*.qt=3D01;35:*.nuv=3D01;35:*.wmv=3D01;35:*.asf=3D01;35:=
*.rm=3D01;35:*.rmvb=3D01;35:*.flc=3D01;35:*.avi=3D01;35:*.fli=3D01;35:*.flv=
=3D01;35:*.gl=3D01;35:*.dl=3D01;35:*.xcf=3D01;35:*.xwd=3D01;35:*.yuv=3D01;3=
5:*.cgm=3D01;35:*.emf=3D01;35:*.ogv=3D01;35:*.ogx=3D01;35:*.cfg=3D00;32:*.c=
onf=3D00;32:*.diff=3D00;32:*.doc=3D00;32:*.ini=3D00;32:*.log=3D00;32:*.patc=
h=3D00;32:*.pdf=3D00;32:*.ps=3D00;32:*.tex=3D00;32:*.txt=3D00;32:*.aac=3D00=
;36:*.au=3D00;36:*.flac=3D00;36:*.m4a=3D00;36:*.mid=3D00;36:*.midi=3D00;36:=
*.mka=3D00;36:*.mp3=3D00;36:*.mpc=3D00;36:*.ogg=3D00;36:*.ra=3D00;36:*.wav=
=3D00;36:*.oga=3D00;36:*.opus=3D00;36:*.spx=3D00;36:*.xspf=3D00;36:
ANDROID_HOME=3D/opt/android-sdk-update-manager
LANG=3Dfr_FR.utf8
HISTCONTROL=3D erasedups:ignoreboth
LESS=3D-R -M --shift 5
OPENGL_PROFILE=3Dxorg-x11
CONFIG_PROTECT_MASK=3D/etc/sandbox.d /etc/php/cli-php7.2/ext-active/ /etc/p=
hp/cgi-php7.2/ext-active/ /etc/php/apache2-php7.2/ext-active/ /etc/fonts/fo=
nts.conf /etc/gentoo-release /etc/gconf /etc/terminfo /etc/dconf /etc/ca-ce=
rtificates.conf /etc/texmf/web2c /etc/texmf/language.dat.d /etc/texmf/langu=
age.def.d /etc/texmf/updmap.d /etc/revdep-rebuild /etc/splash
EDITOR=3Dnano
PRELINK_PATH_MASK=3D/usr/lib64/klibc
DISTCC_DIR=3D/var/tmp/portage/.distcc
GCC_SPECS=3D
XDG_VTNR=3D3
XDG_SESSION_ID=3D29
HUSHLOGIN=3DFALSE
USER=3Dluc
PAGER=3D/usr/bin/less
GOPATH=3D/home/luc/workspace/go
PWD=3D/home/luc
MANPAGER=3Dmanpager
HOME=3D/home/luc
GSETTINGS_BACKEND=3Ddconf
XDG_DATA_DIRS=3D/usr/local/share:/usr/share
WINEDLLOVERRIDES=3Dwinemenubuilder.exe=3Dd
LADSPA_PATH=3D/usr/lib64/ladspa
LV2_PATH=3D/usr/lib64/lv2
CONFIG_PROTECT=3D/usr/share/gnupg/qualified.txt
SHELL=3D/bin/bash
TERM=3Dlinux
ANDROID_SWT=3D/usr/share/swt-3.7/lib
SHLVL=3D1
XDG_SEAT=3Dseat0
MANPATH=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/8.2.0/man:/usr/share/binu=
tils-data/x86_64-pc-linux-gnu/2.30/man:/usr/lib/llvm/6/share/man:/usr/lib64=
/php7.2/man/:/usr/local/share/man:/usr/share/man:/usr/share/rust-bin-1.32.0=
/man
LOGNAME=3Dluc
XDG_RUNTIME_DIR=3D/var/run/user/1000
SNOWMIX=3D/usr/local/lib/Snowmix-0.5.1
XDG_CONFIG_DIRS=3D/etc/xdg
PATH=3D/usr/local/heroku/bin:/usr/lib/llvm/6/bin:/usr/local/sbin:/usr/local=
/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/bin:/home/luc/workspace/go/bin
INFOPATH=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/8.2.0/info:/usr/share/bi=
nutils-data/x86_64-pc-linux-gnu/2.30/info:/usr/share/info:/usr/share/info/e=
macs-26
XDG_SESSION_COOKIE=3Dasuslpm-1551139030.145530-316395642
LESSOPEN=3D|lesspipe %s
_=3D/usr/bin/env
    Le lundi 25 f=C3=A9vrier 2019 =C3=A0 19:17:08 UTC+3, Eli Zaretskii <eli=
z@HIDDEN> a =C3=A9crit : =20
=20
 > Date: Mon, 25 Feb 2019 11:50:57 +0000 (UTC)
> From: Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>
>=20
> Starting emacs daemon in console as:
>=20
> emacs -u user -chdir /home/user --fg-daemon=3Demacs.user --debug-init
>=20
> outputs:
>=20
> Loading t-mouse...
> Loading t-mouse...done
> Error setting gpm-mouse-mode: (error Gpm-mouse only works in the GNU/Linu=
x console)
> Starting Emacs daemon.
>=20
> Consequently mouse won't be usable when connecting to daemon, whereas sta=
ndalone emacs launched in
> console has mouse enabled.

Did you try to set gpm-mouse-mode from after-make-frame-functions
hook?
   =20
------=_Part_8295982_813585212.1551140001109
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"ydp2698140ayahoo-style-wrap" style=
=3D"font-family:Helvetica Neue, Helvetica, Arial, sans-serif;font-size:16px=
;"><div></div>
        <div><br></div><div><br></div>
       =20
        </div><div id=3D"yahoo_quoted_1720696112" class=3D"yahoo_quoted">
            <div style=3D"font-family:'Helvetica Neue', Helvetica, Arial, s=
ans-serif;font-size:13px;color:#26282a;">
               =20
                <div>
                    Le mardi 26 f=C3=A9vrier 2019 =C3=A0 03:12:07 UTC+3, Lu=
c Pierard de Maujouy &lt;lpdmlpdm@HIDDEN&gt; a =C3=A9crit :
                </div>
                <div><br></div>
                <div><br></div>
                <div><div id=3D"yiv4715927483"><div><div class=3D"yiv471592=
7483ydp2d0c25d5yahoo-style-wrap" style=3D"font-family:Helvetica Neue, Helve=
tica, Arial, sans-serif;font-size:13px;"><div id=3D"yiv4715927483ydp2d0c25d=
5yiv1058423242"><div><div class=3D"yiv4715927483ydp2d0c25d5yiv1058423242ydp=
94cc4c2yahoo-style-wrap" style=3D"font-family:Helvetica Neue, Helvetica, Ar=
ial, sans-serif;font-size:13px;"><div id=3D"yiv4715927483ydp2d0c25d5yiv1058=
423242ydp94cc4c2yiv4649247250"><div><div class=3D"yiv4715927483ydp2d0c25d5y=
iv1058423242ydp94cc4c2yiv4649247250ydp436f18aayahoo-style-wrap" style=3D"fo=
nt-family:Helvetica Neue, Helvetica, Arial, sans-serif;font-size:13px;"><di=
v></div>
        <div><span></span><pre class=3D"yiv4715927483ydp2d0c25d5yiv10584232=
42ydp94cc4c2yiv4649247250ydp8e3636d1bz_comment_text">I've just tried in .em=
acs:<br clear=3D"none"><span>(add-hook 'after-make-frame-functions<br clear=
=3D"none">&nbsp;&nbsp; &nbsp;&nbsp; (lambda (frame)<br clear=3D"none">&nbsp=
;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; (when (display-graphic-p frame)<br clear=
=3D"none">&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; (gpm-mouse-mode t)))=
)</span><br clear=3D"none">Which does nothing. Switching from when to unles=
s trigger the initial error message.<br clear=3D"none"><span><span></span><=
/span><span><span></span></span><br clear=3D"none">@ <a rel=3D"nofollow" sh=
ape=3D"rect" target=3D"_blank" href=3D"https://bugs.gentoo.org/677826">http=
s://bugs.gentoo.org/677826</a> Gentoo's support noticed: <br clear=3D"none"=
>The error message is output in function gpm-mouse-start in term.c:

DEFUN ("gpm-mouse-start", Fgpm_mouse_start, Sgpm_mouse_start,
       0, 0, 0,
       doc: /* Open a connection to Gpm.
Gpm-mouse can only be activated for one tty at a time.  */)
  (void)
{
  struct frame *f =3D SELECTED_FRAME ();
  struct tty_display_info *tty
    =3D ((f)-&gt;output_method =3D=3D output_termcap
       ? (f)-&gt;terminal-&gt;display_info.tty : NULL);
  Gpm_Connect connection;

  if (!tty)
    error ("Gpm-mouse only works in the GNU/Linux console");

Debugging with gdb shows that when connected with emacsclient, (f)-&gt;outp=
ut_method is output_initial, while with a standalone Emacs it is output_ter=
mcap.
Not sure if the conditional should be changed (to test for output_termcap o=
r output_initial), or if the value of (f)-&gt;output_method is wrong.<br cl=
ear=3D"none">EOF <a rel=3D"nofollow" shape=3D"rect" target=3D"_blank" href=
=3D"https://bugs.gentoo.org/677826">https://bugs.gentoo.org/677826</a><br c=
lear=3D"none"><span><span></span></span><span></span><span></span><span></s=
pan><span></span><span></span><span></span><span></span><span></span><br cl=
ear=3D"none">My console env:<br clear=3D"none"><br clear=3D"none"><span>LS_=
COLORS=3Drs=3D0:di=3D01;34:ln=3D01;36:mh=3D00:pi=3D40;33:so=3D01;35:do=3D01=
;35:bd=3D40;33;01:cd=3D40;33;01:or=3D01;05;37;41:mi=3D01;05;37;41:su=3D37;4=
1:sg=3D30;43:ca=3D30;41:tw=3D30;42:ow=3D34;42:st=3D37;44:ex=3D01;32:*.tar=
=3D01;31:*.tgz=3D01;31:*.arc=3D01;31:*.arj=3D01;31:*.taz=3D01;31:*.lha=3D01=
;31:*.lz4=3D01;31:*.lzh=3D01;31:*.lzma=3D01;31:*.tlz=3D01;31:*.txz=3D01;31:=
*.tzo=3D01;31:*.t7z=3D01;31:*.zip=3D01;31:*.z=3D01;31:*.dz=3D01;31:*.gz=3D0=
1;31:*.lrz=3D01;31:*.lz=3D01;31:*.lzo=3D01;31:*.xz=3D01;31:*.zst=3D01;31:*.=
tzst=3D01;31:*.bz2=3D01;31:*.bz=3D01;31:*.tbz=3D01;31:*.tbz2=3D01;31:*.tz=
=3D01;31:*.deb=3D01;31:*.rpm=3D01;31:*.jar=3D01;31:*.war=3D01;31:*.ear=3D01=
;31:*.sar=3D01;31:*.rar=3D01;31:*.alz=3D01;31:*.ace=3D01;31:*.zoo=3D01;31:*=
.cpio=3D01;31:*.7z=3D01;31:*.rz=3D01;31:*.cab=3D01;31:*.wim=3D01;31:*.swm=
=3D01;31:*.dwm=3D01;31:*.esd=3D01;31:*.jpg=3D01;35:*.jpeg=3D01;35:*.mjpg=3D=
01;35:*.mjpeg=3D01;35:*.gif=3D01;35:*.bmp=3D01;35:*.pbm=3D01;35:*.pgm=3D01;=
35:*.ppm=3D01;35:*.tga=3D01;35:*.xbm=3D01;35:*.xpm=3D01;35:*.tif=3D01;35:*.=
tiff=3D01;35:*.png=3D01;35:*.svg=3D01;35:*.svgz=3D01;35:*.mng=3D01;35:*.pcx=
=3D01;35:*.mov=3D01;35:*.mpg=3D01;35:*.mpeg=3D01;35:*.m2v=3D01;35:*.mkv=3D0=
1;35:*.webm=3D01;35:*.ogm=3D01;35:*.mp4=3D01;35:*.m4v=3D01;35:*.mp4v=3D01;3=
5:*.vob=3D01;35:*.qt=3D01;35:*.nuv=3D01;35:*.wmv=3D01;35:*.asf=3D01;35:*.rm=
=3D01;35:*.rmvb=3D01;35:*.flc=3D01;35:*.avi=3D01;35:*.fli=3D01;35:*.flv=3D0=
1;35:*.gl=3D01;35:*.dl=3D01;35:*.xcf=3D01;35:*.xwd=3D01;35:*.yuv=3D01;35:*.=
cgm=3D01;35:*.emf=3D01;35:*.ogv=3D01;35:*.ogx=3D01;35:*.cfg=3D00;32:*.conf=
=3D00;32:*.diff=3D00;32:*.doc=3D00;32:*.ini=3D00;32:*.log=3D00;32:*.patch=
=3D00;32:*.pdf=3D00;32:*.ps=3D00;32:*.tex=3D00;32:*.txt=3D00;32:*.aac=3D00;=
36:*.au=3D00;36:*.flac=3D00;36:*.m4a=3D00;36:*.mid=3D00;36:*.midi=3D00;36:*=
.mka=3D00;36:*.mp3=3D00;36:*.mpc=3D00;36:*.ogg=3D00;36:*.ra=3D00;36:*.wav=
=3D00;36:*.oga=3D00;36:*.opus=3D00;36:*.spx=3D00;36:*.xspf=3D00;36:<br clea=
r=3D"none">ANDROID_HOME=3D/opt/android-sdk-update-manager<br clear=3D"none"=
>LANG=3Dfr_FR.utf8<br clear=3D"none">HISTCONTROL=3D erasedups:ignoreboth<br=
 clear=3D"none">LESS=3D-R -M --shift 5<br clear=3D"none">OPENGL_PROFILE=3Dx=
org-x11<br clear=3D"none">CONFIG_PROTECT_MASK=3D/etc/sandbox.d /etc/php/cli=
-php7.2/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/apache2-php7.2=
/ext-active/ /etc/fonts/fonts.conf /etc/gentoo-release /etc/gconf /etc/term=
info /etc/dconf /etc/ca-certificates.conf /etc/texmf/web2c /etc/texmf/langu=
age.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/revdep-rebuild=
 /etc/splash<br clear=3D"none">EDITOR=3Dnano<br clear=3D"none">PRELINK_PATH=
_MASK=3D/usr/lib64/klibc<br clear=3D"none">DISTCC_DIR=3D/var/tmp/portage/.d=
istcc<br clear=3D"none">GCC_SPECS=3D<br clear=3D"none">XDG_VTNR=3D3<br clea=
r=3D"none">XDG_SESSION_ID=3D29<br clear=3D"none">HUSHLOGIN=3DFALSE<br clear=
=3D"none">USER=3Dluc<br clear=3D"none">PAGER=3D/usr/bin/less<br clear=3D"no=
ne">GOPATH=3D/home/luc/workspace/go<br clear=3D"none">PWD=3D/home/luc<br cl=
ear=3D"none">MANPAGER=3Dmanpager<br clear=3D"none">HOME=3D/home/luc<br clea=
r=3D"none">GSETTINGS_BACKEND=3Ddconf<br clear=3D"none">XDG_DATA_DIRS=3D/usr=
/local/share:/usr/share<br clear=3D"none">WINEDLLOVERRIDES=3Dwinemenubuilde=
r.exe=3Dd<br clear=3D"none">LADSPA_PATH=3D/usr/lib64/ladspa<br clear=3D"non=
e">LV2_PATH=3D/usr/lib64/lv2<br clear=3D"none">CONFIG_PROTECT=3D/usr/share/=
gnupg/qualified.txt<br clear=3D"none">SHELL=3D/bin/bash<br clear=3D"none">T=
ERM=3Dlinux<br clear=3D"none">ANDROID_SWT=3D/usr/share/swt-3.7/lib<br clear=
=3D"none">SHLVL=3D1<br clear=3D"none">XDG_SEAT=3Dseat0<br clear=3D"none">MA=
NPATH=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/8.2.0/man:/usr/share/binuti=
ls-data/x86_64-pc-linux-gnu/2.30/man:/usr/lib/llvm/6/share/man:/usr/lib64/p=
hp7.2/man/:/usr/local/share/man:/usr/share/man:/usr/share/rust-bin-1.32.0/m=
an<br clear=3D"none">LOGNAME=3Dluc<br clear=3D"none">XDG_RUNTIME_DIR=3D/var=
/run/user/1000<br clear=3D"none">SNOWMIX=3D/usr/local/lib/Snowmix-0.5.1<br =
clear=3D"none">XDG_CONFIG_DIRS=3D/etc/xdg<br clear=3D"none">PATH=3D/usr/loc=
al/heroku/bin:/usr/lib/llvm/6/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:=
/usr/bin:/sbin:/bin:/opt/bin:/bin:/home/luc/workspace/go/bin<br clear=3D"no=
ne">INFOPATH=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/8.2.0/info:/usr/shar=
e/binutils-data/x86_64-pc-linux-gnu/2.30/info:/usr/share/info:/usr/share/in=
fo/emacs-26<br clear=3D"none">XDG_SESSION_COOKIE=3Dasuslpm-1551139030.14553=
0-316395642<br clear=3D"none">LESSOPEN=3D|lesspipe %s<br clear=3D"none">_=
=3D/usr/bin/env</span></pre><br clear=3D"none"></div>
       =20
        </div></div></div></div></div></div></div><div class=3D"yiv47159274=
83yqt3168411223" id=3D"yiv4715927483yqt54832"><div class=3D"yiv4715927483yq=
t5335197410" id=3D"yiv4715927483yqt55715"><div class=3D"yiv4715927483yqt844=
7857826" id=3D"yiv4715927483yqt12185"><div class=3D"yiv4715927483yahoo_quot=
ed" id=3D"yiv4715927483yahoo_quoted_2006922432">
            <div style=3D"font-family:'Helvetica Neue', Helvetica, Arial, s=
ans-serif;font-size:13px;color:#26282a;">
               =20
                <div>
                    Le lundi 25 f=C3=A9vrier 2019 =C3=A0 19:17:08 UTC+3, El=
i Zaretskii &lt;eliz@HIDDEN&gt; a =C3=A9crit :
                </div>
                <div><br clear=3D"none"></div>
                <div><br clear=3D"none"></div>
                <div><div dir=3D"ltr">&gt; Date: Mon, 25 Feb 2019 11:50:57 =
+0000 (UTC)<br clear=3D"none">&gt; From: Luc Pierard de Maujouy &lt;<a rel=
=3D"nofollow" shape=3D"rect" ymailto=3D"mailto:lpdmlpdm@HIDDEN" target=
=3D"_blank" href=3D"mailto:lpdmlpdm@HIDDEN">lpdmlpdm@HIDDEN</a>&gt;<b=
r clear=3D"none">&gt; <br clear=3D"none">&gt; Starting emacs daemon in cons=
ole as:<br clear=3D"none">&gt; <br clear=3D"none">&gt; emacs -u user -chdir=
 /home/user --fg-daemon=3Demacs.user --debug-init<br clear=3D"none">&gt; <b=
r clear=3D"none">&gt; outputs:<br clear=3D"none">&gt; <br clear=3D"none">&g=
t; Loading t-mouse...<br clear=3D"none">&gt; Loading t-mouse...done<br clea=
r=3D"none">&gt; Error setting gpm-mouse-mode: (error Gpm-mouse only works i=
n the GNU/Linux console)<br clear=3D"none">&gt; Starting Emacs daemon.<br c=
lear=3D"none">&gt; <br clear=3D"none">&gt; Consequently mouse won't be usab=
le when connecting to daemon, whereas standalone emacs launched in<br clear=
=3D"none">&gt; console has mouse enabled.<br clear=3D"none"><br clear=3D"no=
ne">Did you try to set gpm-mouse-mode from after-make-frame-functions<div c=
lass=3D"yiv4715927483yqt6440459591" id=3D"yiv4715927483yqtfd32081"><br clea=
r=3D"none">hook?<br clear=3D"none"></div></div></div>
            </div>
        </div></div></div></div></div></div></div>
            </div>
        </div></body></html>
------=_Part_8295982_813585212.1551140001109--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34648; Package emacs. Full text available.

Message received at 34648 <at> debbugs.gnu.org:


Received: (at 34648) by debbugs.gnu.org; 26 Feb 2019 00:12:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 25 19:12:24 2019
Received: from localhost ([127.0.0.1]:51943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gyQMB-0004wj-JZ
	for submit <at> debbugs.gnu.org; Mon, 25 Feb 2019 19:12:24 -0500
Received: from sonic310-14.consmr.mail.ir2.yahoo.com ([77.238.177.35]:40398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lpdmlpdm@HIDDEN>) id 1gyQM8-0004wU-G6
 for 34648 <at> debbugs.gnu.org; Mon, 25 Feb 2019 19:12:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1551139934; bh=jMckZ/ZctipghumvRjlpDjpPwDIYGRvY/DOvVLh236M=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject;
 b=Ho4O0sTKbOVHj9KtRQhnoAICu5TkEAIMw8iBcqwp8MWX9a40BZP8obgoBoNkwLrrRj4QZp8U6+wkeUx9afZjSJItNMvM1T0FYiEZq6fe7UXF3xKKzw7Lil8zgVeaz4f/A1Cx8ntwbzJbKXbMt0fEdleGu/iOdBq9A4IBILuTThMxjRmgn/4WHIpJR41cKxb7T9K57YADcBU8jOT5Zf9vqbkAUbeGSp3FkXqZrumn341HOOvR0qYVaggbJh1omPlRiHHrNyUuNXFNBLJMJvx5ez783GKvjOEUFL5T708mHY0AFUtFFvoMeOjmgrADOutTce05irNq/XodAUSBEiOL/w==
X-YMail-OSG: FWc5C9AVM1kwgxCBUzo6G26_SNFzQtTTjSsKankik2pqCBBzagNBApl63M3pVdW
 pc2ANupBqCQcifvEO3.lcRFAqCqTQGU5HYB2nDWsOU4ni.tTdXeX1PbMdHbtHkwJWHmvqm.HDgeD
 xl.K2DflLotGxtj26R5rdgnkoFURgeojUrnlfXPH4DMXkloGY8lJTQfpJAsYsqjeTuVp2eyAuz3R
 DsGjFKPWVWKL2KDsdkki28GPoTrjALLmJRlr0cT4alkQcPQr9dPjYDL0MHO1UQVhS85._2KY_1y0
 ThCZBYb75EHj5qPtDS_14OdcoIqqykfbFjgRI6DPJDPpFHqeK7xQ7b3wDiAETlx7R79zzD53CLQg
 31Wljedjopd98p1zdsNeKS5D47jZhBMCmRgqRHCNyY.2U6xKKXB7reFe9wRz6lYfiIOiX1owItHM
 ZMDSPhmsyLwWZhjKyrdJFDNVdvvLG3TroHsR1.AuM2gM5nq3X3bPocaK6Jh6zSR4P3pv3kH3ouFs
 fqdFbIEpmV.WOKDsnYjRy8fkfR6imxSPcavDuwlMbsT_uDWeIkHsqQz.l1nXhgaYDBthzTIIXrsG
 BAHD4uGddZQejOgWdHeGd_EykZMCkL3lQseLNSCzWULvTkDN4y0UVm38TnnvEbJytxPZEqUEXUGb
 _IvLMH57r503pUTYiRWM0LG9vwjyFvSpZN4ZsvF43rHp7FfYzxhGp5YsNl1zlUPbvPz3E_OerXr0
 gn4zZKizHqxNvI9mGA57EqlVELVI.ru0ah86bH8afwN2fyZFK34WOhqjCO6ddqgCSRRW_5AI8KKf
 UbkHl3yuu2ViAuMf_W1mJbi7bNnH.IhxQR3Uaahnq6oDhvjQLQ2UDsc1peWkM.9QdmCfW1YiqThS
 QfsCyCNo.siAXJ8hKuzvPKU1cfHbNMVlcrabGKb2Y_iASun3PzlTorNLgCtmZms0bnUMcAB0UZjB
 0F8Jy3yIWWLzoZWm2MMc3MBgAOajRHvbVUxxi0hqjwZQhxqE0BBW9b6eZmp5PhZ4R5Qrinla63Hn
 wWjZiLoqXVCDkbpub5JCbsOAViZ9SdBKIMWxG2Kks.XcxlfqPkk0H0CFP5g--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic310.consmr.mail.ir2.yahoo.com with HTTP; Tue, 26 Feb 2019 00:12:14 +0000
Date: Tue, 26 Feb 2019 00:12:07 +0000 (UTC)
From: Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <2131263975.8304289.1551139927886@HIDDEN>
In-Reply-To: <83pnrfn8qh.fsf@HIDDEN>
References: <811395573.7577375.1551095457297.ref@HIDDEN>
 <811395573.7577375.1551095457297@HIDDEN> <83pnrfn8qh.fsf@HIDDEN>
Subject: Re: bug#34648: 26.1; emacs-client: gpm-mouse rejected at daemon launch
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_8304288_389919354.1551139927884"
X-Mailer: WebService/1.1.13123 YMailNorrin Mozilla/5.0 (X11; Linux x86_64;
 rv:65.0) Gecko/20100101 Firefox/65.0
Content-Length: 15546
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I've just tried in .emacs: (add-hook 'after-make-frame-functions
          (lambda (frame)         (when (display-graphic-p frame)   
           (gpm-mouse-mode t)))) Which does nothing. Swi [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
                             no trust
                             [77.238.177.35 listed in list.dnswl.org]
  1.0 HK_RANDOM_FROM         From username looks random
  0.5 FROM_LOCAL_NOVOWEL     From: localpart has series of non-vowel
                             letters
  0.6 HK_RANDOM_ENVFROM      Envelope sender username looks random
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (lpdmlpdm[at]yahoo.com)
  0.0 HTML_MESSAGE           BODY: HTML included in message
X-Debbugs-Envelope-To: 34648
Cc: "34648 <at> debbugs.gnu.org" <34648 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I've just tried in .emacs: (add-hook 'after-make-frame-functions
          (lambda (frame)         (when (display-graphic-p frame)   
           (gpm-mouse-mode t)))) Which does nothing. Swi [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
                             no trust
                             [77.238.177.35 listed in list.dnswl.org]
  1.0 HK_RANDOM_FROM         From username looks random
  0.5 FROM_LOCAL_NOVOWEL     From: localpart has series of non-vowel
                             letters
  0.6 HK_RANDOM_ENVFROM      Envelope sender username looks random
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (lpdmlpdm[at]yahoo.com)
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

------=_Part_8304288_389919354.1551139927884
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

 I've just tried in .emacs:
(add-hook 'after-make-frame-functions
=C2=A0=C2=A0 =C2=A0=C2=A0 (lambda (frame)
=C2=A0=C2=A0 =C2=A0=C2=A0=C2=A0=C2=A0 (when (display-graphic-p frame)
=C2=A0=C2=A0 =C2=A0=C2=A0=C2=A0 =C2=A0=C2=A0 (gpm-mouse-mode t))))
Which does nothing. Switching from when to unless trigger the initial error=
 message.

@ https://bugs.gentoo.org/677826 Gentoo's support noticed:=20
The error message is output in function gpm-mouse-start in term.c:

DEFUN ("gpm-mouse-start", Fgpm_mouse_start, Sgpm_mouse_start,
       0, 0, 0,
       doc: /* Open a connection to Gpm.
Gpm-mouse can only be activated for one tty at a time.  */)
  (void)
{
  struct frame *f =3D SELECTED_FRAME ();
  struct tty_display_info *tty
    =3D ((f)->output_method =3D=3D output_termcap
       ? (f)->terminal->display_info.tty : NULL);
  Gpm_Connect connection;

  if (!tty)
    error ("Gpm-mouse only works in the GNU/Linux console");

Debugging with gdb shows that when connected with emacsclient, (f)->output_=
method is output_initial, while with a standalone Emacs it is output_termca=
p.
Not sure if the conditional should be changed (to test for output_termcap o=
r output_initial), or if the value of (f)->output_method is wrong.
EOF https://bugs.gentoo.org/677826

My console env:

LS_COLORS=3Drs=3D0:di=3D01;34:ln=3D01;36:mh=3D00:pi=3D40;33:so=3D01;35:do=
=3D01;35:bd=3D40;33;01:cd=3D40;33;01:or=3D01;05;37;41:mi=3D01;05;37;41:su=
=3D37;41:sg=3D30;43:ca=3D30;41:tw=3D30;42:ow=3D34;42:st=3D37;44:ex=3D01;32:=
*.tar=3D01;31:*.tgz=3D01;31:*.arc=3D01;31:*.arj=3D01;31:*.taz=3D01;31:*.lha=
=3D01;31:*.lz4=3D01;31:*.lzh=3D01;31:*.lzma=3D01;31:*.tlz=3D01;31:*.txz=3D0=
1;31:*.tzo=3D01;31:*.t7z=3D01;31:*.zip=3D01;31:*.z=3D01;31:*.dz=3D01;31:*.g=
z=3D01;31:*.lrz=3D01;31:*.lz=3D01;31:*.lzo=3D01;31:*.xz=3D01;31:*.zst=3D01;=
31:*.tzst=3D01;31:*.bz2=3D01;31:*.bz=3D01;31:*.tbz=3D01;31:*.tbz2=3D01;31:*=
.tz=3D01;31:*.deb=3D01;31:*.rpm=3D01;31:*.jar=3D01;31:*.war=3D01;31:*.ear=
=3D01;31:*.sar=3D01;31:*.rar=3D01;31:*.alz=3D01;31:*.ace=3D01;31:*.zoo=3D01=
;31:*.cpio=3D01;31:*.7z=3D01;31:*.rz=3D01;31:*.cab=3D01;31:*.wim=3D01;31:*.=
swm=3D01;31:*.dwm=3D01;31:*.esd=3D01;31:*.jpg=3D01;35:*.jpeg=3D01;35:*.mjpg=
=3D01;35:*.mjpeg=3D01;35:*.gif=3D01;35:*.bmp=3D01;35:*.pbm=3D01;35:*.pgm=3D=
01;35:*.ppm=3D01;35:*.tga=3D01;35:*.xbm=3D01;35:*.xpm=3D01;35:*.tif=3D01;35=
:*.tiff=3D01;35:*.png=3D01;35:*.svg=3D01;35:*.svgz=3D01;35:*.mng=3D01;35:*.=
pcx=3D01;35:*.mov=3D01;35:*.mpg=3D01;35:*.mpeg=3D01;35:*.m2v=3D01;35:*.mkv=
=3D01;35:*.webm=3D01;35:*.ogm=3D01;35:*.mp4=3D01;35:*.m4v=3D01;35:*.mp4v=3D=
01;35:*.vob=3D01;35:*.qt=3D01;35:*.nuv=3D01;35:*.wmv=3D01;35:*.asf=3D01;35:=
*.rm=3D01;35:*.rmvb=3D01;35:*.flc=3D01;35:*.avi=3D01;35:*.fli=3D01;35:*.flv=
=3D01;35:*.gl=3D01;35:*.dl=3D01;35:*.xcf=3D01;35:*.xwd=3D01;35:*.yuv=3D01;3=
5:*.cgm=3D01;35:*.emf=3D01;35:*.ogv=3D01;35:*.ogx=3D01;35:*.cfg=3D00;32:*.c=
onf=3D00;32:*.diff=3D00;32:*.doc=3D00;32:*.ini=3D00;32:*.log=3D00;32:*.patc=
h=3D00;32:*.pdf=3D00;32:*.ps=3D00;32:*.tex=3D00;32:*.txt=3D00;32:*.aac=3D00=
;36:*.au=3D00;36:*.flac=3D00;36:*.m4a=3D00;36:*.mid=3D00;36:*.midi=3D00;36:=
*.mka=3D00;36:*.mp3=3D00;36:*.mpc=3D00;36:*.ogg=3D00;36:*.ra=3D00;36:*.wav=
=3D00;36:*.oga=3D00;36:*.opus=3D00;36:*.spx=3D00;36:*.xspf=3D00;36:
ANDROID_HOME=3D/opt/android-sdk-update-manager
LANG=3Dfr_FR.utf8
HISTCONTROL=3D erasedups:ignoreboth
LESS=3D-R -M --shift 5
OPENGL_PROFILE=3Dxorg-x11
CONFIG_PROTECT_MASK=3D/etc/sandbox.d /etc/php/cli-php7.2/ext-active/ /etc/p=
hp/cgi-php7.2/ext-active/ /etc/php/apache2-php7.2/ext-active/ /etc/fonts/fo=
nts.conf /etc/gentoo-release /etc/gconf /etc/terminfo /etc/dconf /etc/ca-ce=
rtificates.conf /etc/texmf/web2c /etc/texmf/language.dat.d /etc/texmf/langu=
age.def.d /etc/texmf/updmap.d /etc/revdep-rebuild /etc/splash
EDITOR=3Dnano
PRELINK_PATH_MASK=3D/usr/lib64/klibc
DISTCC_DIR=3D/var/tmp/portage/.distcc
GCC_SPECS=3D
XDG_VTNR=3D3
XDG_SESSION_ID=3D29
HUSHLOGIN=3DFALSE
USER=3Dluc
PAGER=3D/usr/bin/less
GOPATH=3D/home/luc/workspace/go
PWD=3D/home/luc
MANPAGER=3Dmanpager
HOME=3D/home/luc
GSETTINGS_BACKEND=3Ddconf
XDG_DATA_DIRS=3D/usr/local/share:/usr/share
WINEDLLOVERRIDES=3Dwinemenubuilder.exe=3Dd
LADSPA_PATH=3D/usr/lib64/ladspa
LV2_PATH=3D/usr/lib64/lv2
CONFIG_PROTECT=3D/usr/share/gnupg/qualified.txt
SHELL=3D/bin/bash
TERM=3Dlinux
ANDROID_SWT=3D/usr/share/swt-3.7/lib
SHLVL=3D1
XDG_SEAT=3Dseat0
MANPATH=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/8.2.0/man:/usr/share/binu=
tils-data/x86_64-pc-linux-gnu/2.30/man:/usr/lib/llvm/6/share/man:/usr/lib64=
/php7.2/man/:/usr/local/share/man:/usr/share/man:/usr/share/rust-bin-1.32.0=
/man
LOGNAME=3Dluc
XDG_RUNTIME_DIR=3D/var/run/user/1000
SNOWMIX=3D/usr/local/lib/Snowmix-0.5.1
XDG_CONFIG_DIRS=3D/etc/xdg
PATH=3D/usr/local/heroku/bin:/usr/lib/llvm/6/bin:/usr/local/sbin:/usr/local=
/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/bin:/home/luc/workspace/go/bin
INFOPATH=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/8.2.0/info:/usr/share/bi=
nutils-data/x86_64-pc-linux-gnu/2.30/info:/usr/share/info:/usr/share/info/e=
macs-26
XDG_SESSION_COOKIE=3Dasuslpm-1551139030.145530-316395642
LESSOPEN=3D|lesspipe %s
_=3D/usr/bin/env
    Le lundi 25 f=C3=A9vrier 2019 =C3=A0 19:17:08 UTC+3, Eli Zaretskii <eli=
z@HIDDEN> a =C3=A9crit : =20
=20
 > Date: Mon, 25 Feb 2019 11:50:57 +0000 (UTC)
> From: Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>
>=20
> Starting emacs daemon in console as:
>=20
> emacs -u user -chdir /home/user --fg-daemon=3Demacs.user --debug-init
>=20
> outputs:
>=20
> Loading t-mouse...
> Loading t-mouse...done
> Error setting gpm-mouse-mode: (error Gpm-mouse only works in the GNU/Linu=
x console)
> Starting Emacs daemon.
>=20
> Consequently mouse won't be usable when connecting to daemon, whereas sta=
ndalone emacs launched in
> console has mouse enabled.

Did you try to set gpm-mouse-mode from after-make-frame-functions
hook?
 =20
------=_Part_8304288_389919354.1551139927884
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"ydp2d0c25d5yahoo-style-wrap" style=
=3D"font-family:Helvetica Neue, Helvetica, Arial, sans-serif;font-size:13px=
;"><div id=3D"ydp2d0c25d5yiv1058423242"><div><div class=3D"ydp2d0c25d5yiv10=
58423242ydp94cc4c2yahoo-style-wrap" style=3D"font-family:Helvetica Neue, He=
lvetica, Arial, sans-serif;font-size:13px;"><div id=3D"ydp2d0c25d5yiv105842=
3242ydp94cc4c2yiv4649247250"><div><div class=3D"ydp2d0c25d5yiv1058423242ydp=
94cc4c2yiv4649247250ydp436f18aayahoo-style-wrap" style=3D"font-family:Helve=
tica Neue, Helvetica, Arial, sans-serif;font-size:13px;"><div></div>
        <div><span></span><pre class=3D"ydp2d0c25d5yiv1058423242ydp94cc4c2y=
iv4649247250ydp8e3636d1bz_comment_text">I've just tried in .emacs:<br clear=
=3D"none"><span>(add-hook 'after-make-frame-functions<br clear=3D"none">&nb=
sp;&nbsp; &nbsp;&nbsp; (lambda (frame)<br clear=3D"none">&nbsp;&nbsp; &nbsp=
;&nbsp;&nbsp;&nbsp; (when (display-graphic-p frame)<br clear=3D"none">&nbsp=
;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; (gpm-mouse-mode t))))</span><br cle=
ar=3D"none">Which does nothing. Switching from when to unless trigger the i=
nitial error message.<br clear=3D"none"><span><span></span></span><span><sp=
an></span></span><br clear=3D"none">@ <a shape=3D"rect" href=3D"https://bug=
s.gentoo.org/677826" rel=3D"nofollow" target=3D"_blank">https://bugs.gentoo=
.org/677826</a> Gentoo's support noticed: <br clear=3D"none">The error mess=
age is output in function gpm-mouse-start in term.c:

DEFUN ("gpm-mouse-start", Fgpm_mouse_start, Sgpm_mouse_start,
       0, 0, 0,
       doc: /* Open a connection to Gpm.
Gpm-mouse can only be activated for one tty at a time.  */)
  (void)
{
  struct frame *f =3D SELECTED_FRAME ();
  struct tty_display_info *tty
    =3D ((f)-&gt;output_method =3D=3D output_termcap
       ? (f)-&gt;terminal-&gt;display_info.tty : NULL);
  Gpm_Connect connection;

  if (!tty)
    error ("Gpm-mouse only works in the GNU/Linux console");

Debugging with gdb shows that when connected with emacsclient, (f)-&gt;outp=
ut_method is output_initial, while with a standalone Emacs it is output_ter=
mcap.
Not sure if the conditional should be changed (to test for output_termcap o=
r output_initial), or if the value of (f)-&gt;output_method is wrong.<br cl=
ear=3D"none">EOF <a shape=3D"rect" href=3D"https://bugs.gentoo.org/677826" =
rel=3D"nofollow" target=3D"_blank">https://bugs.gentoo.org/677826</a><br cl=
ear=3D"none"><span><span></span></span><span></span><span></span><span></sp=
an><span></span><span></span><span></span><span></span><span></span><br cle=
ar=3D"none">My console env:<br clear=3D"none"><br clear=3D"none"><span>LS_C=
OLORS=3Drs=3D0:di=3D01;34:ln=3D01;36:mh=3D00:pi=3D40;33:so=3D01;35:do=3D01;=
35:bd=3D40;33;01:cd=3D40;33;01:or=3D01;05;37;41:mi=3D01;05;37;41:su=3D37;41=
:sg=3D30;43:ca=3D30;41:tw=3D30;42:ow=3D34;42:st=3D37;44:ex=3D01;32:*.tar=3D=
01;31:*.tgz=3D01;31:*.arc=3D01;31:*.arj=3D01;31:*.taz=3D01;31:*.lha=3D01;31=
:*.lz4=3D01;31:*.lzh=3D01;31:*.lzma=3D01;31:*.tlz=3D01;31:*.txz=3D01;31:*.t=
zo=3D01;31:*.t7z=3D01;31:*.zip=3D01;31:*.z=3D01;31:*.dz=3D01;31:*.gz=3D01;3=
1:*.lrz=3D01;31:*.lz=3D01;31:*.lzo=3D01;31:*.xz=3D01;31:*.zst=3D01;31:*.tzs=
t=3D01;31:*.bz2=3D01;31:*.bz=3D01;31:*.tbz=3D01;31:*.tbz2=3D01;31:*.tz=3D01=
;31:*.deb=3D01;31:*.rpm=3D01;31:*.jar=3D01;31:*.war=3D01;31:*.ear=3D01;31:*=
.sar=3D01;31:*.rar=3D01;31:*.alz=3D01;31:*.ace=3D01;31:*.zoo=3D01;31:*.cpio=
=3D01;31:*.7z=3D01;31:*.rz=3D01;31:*.cab=3D01;31:*.wim=3D01;31:*.swm=3D01;3=
1:*.dwm=3D01;31:*.esd=3D01;31:*.jpg=3D01;35:*.jpeg=3D01;35:*.mjpg=3D01;35:*=
.mjpeg=3D01;35:*.gif=3D01;35:*.bmp=3D01;35:*.pbm=3D01;35:*.pgm=3D01;35:*.pp=
m=3D01;35:*.tga=3D01;35:*.xbm=3D01;35:*.xpm=3D01;35:*.tif=3D01;35:*.tiff=3D=
01;35:*.png=3D01;35:*.svg=3D01;35:*.svgz=3D01;35:*.mng=3D01;35:*.pcx=3D01;3=
5:*.mov=3D01;35:*.mpg=3D01;35:*.mpeg=3D01;35:*.m2v=3D01;35:*.mkv=3D01;35:*.=
webm=3D01;35:*.ogm=3D01;35:*.mp4=3D01;35:*.m4v=3D01;35:*.mp4v=3D01;35:*.vob=
=3D01;35:*.qt=3D01;35:*.nuv=3D01;35:*.wmv=3D01;35:*.asf=3D01;35:*.rm=3D01;3=
5:*.rmvb=3D01;35:*.flc=3D01;35:*.avi=3D01;35:*.fli=3D01;35:*.flv=3D01;35:*.=
gl=3D01;35:*.dl=3D01;35:*.xcf=3D01;35:*.xwd=3D01;35:*.yuv=3D01;35:*.cgm=3D0=
1;35:*.emf=3D01;35:*.ogv=3D01;35:*.ogx=3D01;35:*.cfg=3D00;32:*.conf=3D00;32=
:*.diff=3D00;32:*.doc=3D00;32:*.ini=3D00;32:*.log=3D00;32:*.patch=3D00;32:*=
.pdf=3D00;32:*.ps=3D00;32:*.tex=3D00;32:*.txt=3D00;32:*.aac=3D00;36:*.au=3D=
00;36:*.flac=3D00;36:*.m4a=3D00;36:*.mid=3D00;36:*.midi=3D00;36:*.mka=3D00;=
36:*.mp3=3D00;36:*.mpc=3D00;36:*.ogg=3D00;36:*.ra=3D00;36:*.wav=3D00;36:*.o=
ga=3D00;36:*.opus=3D00;36:*.spx=3D00;36:*.xspf=3D00;36:<br clear=3D"none">A=
NDROID_HOME=3D/opt/android-sdk-update-manager<br clear=3D"none">LANG=3Dfr_F=
R.utf8<br clear=3D"none">HISTCONTROL=3D erasedups:ignoreboth<br clear=3D"no=
ne">LESS=3D-R -M --shift 5<br clear=3D"none">OPENGL_PROFILE=3Dxorg-x11<br c=
lear=3D"none">CONFIG_PROTECT_MASK=3D/etc/sandbox.d /etc/php/cli-php7.2/ext-=
active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/apache2-php7.2/ext-active/=
 /etc/fonts/fonts.conf /etc/gentoo-release /etc/gconf /etc/terminfo /etc/dc=
onf /etc/ca-certificates.conf /etc/texmf/web2c /etc/texmf/language.dat.d /e=
tc/texmf/language.def.d /etc/texmf/updmap.d /etc/revdep-rebuild /etc/splash=
<br clear=3D"none">EDITOR=3Dnano<br clear=3D"none">PRELINK_PATH_MASK=3D/usr=
/lib64/klibc<br clear=3D"none">DISTCC_DIR=3D/var/tmp/portage/.distcc<br cle=
ar=3D"none">GCC_SPECS=3D<br clear=3D"none">XDG_VTNR=3D3<br clear=3D"none">X=
DG_SESSION_ID=3D29<br clear=3D"none">HUSHLOGIN=3DFALSE<br clear=3D"none">US=
ER=3Dluc<br clear=3D"none">PAGER=3D/usr/bin/less<br clear=3D"none">GOPATH=
=3D/home/luc/workspace/go<br clear=3D"none">PWD=3D/home/luc<br clear=3D"non=
e">MANPAGER=3Dmanpager<br clear=3D"none">HOME=3D/home/luc<br clear=3D"none"=
>GSETTINGS_BACKEND=3Ddconf<br clear=3D"none">XDG_DATA_DIRS=3D/usr/local/sha=
re:/usr/share<br clear=3D"none">WINEDLLOVERRIDES=3Dwinemenubuilder.exe=3Dd<=
br clear=3D"none">LADSPA_PATH=3D/usr/lib64/ladspa<br clear=3D"none">LV2_PAT=
H=3D/usr/lib64/lv2<br clear=3D"none">CONFIG_PROTECT=3D/usr/share/gnupg/qual=
ified.txt<br clear=3D"none">SHELL=3D/bin/bash<br clear=3D"none">TERM=3Dlinu=
x<br clear=3D"none">ANDROID_SWT=3D/usr/share/swt-3.7/lib<br clear=3D"none">=
SHLVL=3D1<br clear=3D"none">XDG_SEAT=3Dseat0<br clear=3D"none">MANPATH=3D/u=
sr/share/gcc-data/x86_64-pc-linux-gnu/8.2.0/man:/usr/share/binutils-data/x8=
6_64-pc-linux-gnu/2.30/man:/usr/lib/llvm/6/share/man:/usr/lib64/php7.2/man/=
:/usr/local/share/man:/usr/share/man:/usr/share/rust-bin-1.32.0/man<br clea=
r=3D"none">LOGNAME=3Dluc<br clear=3D"none">XDG_RUNTIME_DIR=3D/var/run/user/=
1000<br clear=3D"none">SNOWMIX=3D/usr/local/lib/Snowmix-0.5.1<br clear=3D"n=
one">XDG_CONFIG_DIRS=3D/etc/xdg<br clear=3D"none">PATH=3D/usr/local/heroku/=
bin:/usr/lib/llvm/6/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/=
sbin:/bin:/opt/bin:/bin:/home/luc/workspace/go/bin<br clear=3D"none">INFOPA=
TH=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/8.2.0/info:/usr/share/binutils=
-data/x86_64-pc-linux-gnu/2.30/info:/usr/share/info:/usr/share/info/emacs-2=
6<br clear=3D"none">XDG_SESSION_COOKIE=3Dasuslpm-1551139030.145530-31639564=
2<br clear=3D"none">LESSOPEN=3D|lesspipe %s<br clear=3D"none">_=3D/usr/bin/=
env</span></pre><br clear=3D"none"></div>
       =20
        </div></div></div></div></div></div></div><div class=3D"yiv10584232=
42yqt5335197410" id=3D"yiv1058423242yqt55715"><div class=3D"yiv1058423242yq=
t8447857826" id=3D"yiv1058423242yqt12185"><div class=3D"yiv1058423242yahoo_=
quoted" id=3D"yiv1058423242yahoo_quoted_2006922432">
            <div style=3D"font-family:'Helvetica Neue', Helvetica, Arial, s=
ans-serif;font-size:13px;color:#26282a;">
               =20
                <div>
                    Le lundi 25 f=C3=A9vrier 2019 =C3=A0 19:17:08 UTC+3, El=
i Zaretskii &lt;eliz@HIDDEN&gt; a =C3=A9crit :
                </div>
                <div><br clear=3D"none"></div>
                <div><br clear=3D"none"></div>
                <div><div dir=3D"ltr">&gt; Date: Mon, 25 Feb 2019 11:50:57 =
+0000 (UTC)<br clear=3D"none">&gt; From: Luc Pierard de Maujouy &lt;<a rel=
=3D"nofollow" shape=3D"rect" ymailto=3D"mailto:lpdmlpdm@HIDDEN" target=
=3D"_blank" href=3D"mailto:lpdmlpdm@HIDDEN">lpdmlpdm@HIDDEN</a>&gt;<b=
r clear=3D"none">&gt; <br clear=3D"none">&gt; Starting emacs daemon in cons=
ole as:<br clear=3D"none">&gt; <br clear=3D"none">&gt; emacs -u user -chdir=
 /home/user --fg-daemon=3Demacs.user --debug-init<br clear=3D"none">&gt; <b=
r clear=3D"none">&gt; outputs:<br clear=3D"none">&gt; <br clear=3D"none">&g=
t; Loading t-mouse...<br clear=3D"none">&gt; Loading t-mouse...done<br clea=
r=3D"none">&gt; Error setting gpm-mouse-mode: (error Gpm-mouse only works i=
n the GNU/Linux console)<br clear=3D"none">&gt; Starting Emacs daemon.<br c=
lear=3D"none">&gt; <br clear=3D"none">&gt; Consequently mouse won't be usab=
le when connecting to daemon, whereas standalone emacs launched in<br clear=
=3D"none">&gt; console has mouse enabled.<br clear=3D"none"><br clear=3D"no=
ne">Did you try to set gpm-mouse-mode from after-make-frame-functions<div c=
lass=3D"yiv1058423242yqt6440459591" id=3D"yiv1058423242yqtfd32081"><br clea=
r=3D"none">hook?<br clear=3D"none"></div></div></div>
            </div>
        </div></div></div></body></html>
------=_Part_8304288_389919354.1551139927884--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34648; Package emacs. Full text available.

Message received at 34648 <at> debbugs.gnu.org:


Received: (at 34648) by debbugs.gnu.org; 25 Feb 2019 16:17:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 25 11:17:14 2019
Received: from localhost ([127.0.0.1]:51675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gyIwL-0006Ke-Rf
	for submit <at> debbugs.gnu.org; Mon, 25 Feb 2019 11:17:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39539)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gyIwK-0006KS-CR
 for 34648 <at> debbugs.gnu.org; Mon, 25 Feb 2019 11:17:12 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38337)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gyIwC-0007GH-Ed; Mon, 25 Feb 2019 11:17:07 -0500
Received: from [176.228.60.248] (port=1818 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gyIw8-00072J-EV; Mon, 25 Feb 2019 11:17:01 -0500
Date: Mon, 25 Feb 2019 18:17:10 +0200
Message-Id: <83pnrfn8qh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>
In-reply-to: <811395573.7577375.1551095457297@HIDDEN> (message from
 Luc Pierard de Maujouy on Mon, 25 Feb 2019 11:50:57 +0000 (UTC))
Subject: Re: bug#34648: 26.1; emacs-client: gpm-mouse rejected at daemon launch
References: <811395573.7577375.1551095457297.ref@HIDDEN>
 <811395573.7577375.1551095457297@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34648
Cc: 34648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Mon, 25 Feb 2019 11:50:57 +0000 (UTC)
> From: Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>
> 
> Starting emacs daemon in console as:
> 
> emacs -u user -chdir /home/user --fg-daemon=emacs.user --debug-init
> 
> outputs:
> 
> Loading t-mouse...
> Loading t-mouse...done
> Error setting gpm-mouse-mode: (error Gpm-mouse only works in the GNU/Linux console)
> Starting Emacs daemon.
> 
> Consequently mouse won't be usable when connecting to daemon, whereas standalone emacs launched in
> console has mouse enabled.

Did you try to set gpm-mouse-mode from after-make-frame-functions
hook?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34648; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Feb 2019 14:59:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 25 09:59:54 2019
Received: from localhost ([127.0.0.1]:51632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gyHjV-0004QF-MW
	for submit <at> debbugs.gnu.org; Mon, 25 Feb 2019 09:59:54 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lpdmlpdm@HIDDEN>) id 1gyEmy-00069H-N0
 for submit <at> debbugs.gnu.org; Mon, 25 Feb 2019 06:51:17 -0500
Received: from lists.gnu.org ([209.51.188.17]:41075)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <lpdmlpdm@HIDDEN>) id 1gyEmt-0007VU-CV
 for submit <at> debbugs.gnu.org; Mon, 25 Feb 2019 06:51:11 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49160)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lpdmlpdm@HIDDEN>) id 1gyEmq-0005Oo-6i
 for bug-gnu-emacs@HIDDEN; Mon, 25 Feb 2019 06:51:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 FROM_LOCAL_NOVOWEL,HK_RANDOM_ENVFROM,HK_RANDOM_FROM,HTML_MESSAGE,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lpdmlpdm@HIDDEN>) id 1gyEmo-000752-7W
 for bug-gnu-emacs@HIDDEN; Mon, 25 Feb 2019 06:51:08 -0500
Received: from sonic309-24.consmr.mail.ir2.yahoo.com ([77.238.179.82]:40910)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <lpdmlpdm@HIDDEN>) id 1gyEmm-0006hU-41
 for bug-gnu-emacs@HIDDEN; Mon, 25 Feb 2019 06:51:06 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1551095459; bh=XgMOWvv5SCfzsav0BO+gYxppzg32HPmsGewOf0BY98g=;
 h=Date:From:To:Subject:References:From:Subject;
 b=FcNsgoGTHu5VHfXYTYk7fqpPZpIvPQwrvEecBHsKZxIDs6dmlvtqpzGE9/eC08ZCUctWYF3FRuKOMfVOFG7THdJ482HBKVvUnHmQ/gNkjTps3EPBt/J6t/HkfgXRVtaqr5lEPVpkX4gNFOnGeusEXKofFpBG8PxL23vjS5UsojDC57Uium8rSpc+LhPyroKVCkVsda+rI+CsqiK0yPegLIYRTZdaWq/6B1xfeO2qp/1Tlu0qVAFtqBMx4VtQJEN4kjg6Rx0K2HVo7Sls+Tk+8grxYz0211zbnft1mCNItNMnuWXHmsSU8xVYBKtRM/a1I8FZQz3vi0eVNU46JbpmOQ==
X-YMail-OSG: J.c3vB8VM1k4rqFt6QHYyy0wRy4t_YeNRHXjR3QyYHcUOAUiRRWo8vyQJHHoeWi
 0vCGMnJcjxzOGWs7VKPYid3X6fYKR57u6DTjrQ5XFuJWCibYgUCrjT5oUrCdM6Th.gUDpoJvafQ.
 zNc.g4fhaSp.7O37emCTiaoXiJLf8Q0rIrWJDofKAVM5v_11ceifya2ZpH8w57N6fKJhAI7dbPdG
 atON9t9ydVqm5.mKcVeoVqw6Vvx0hmGto.U8nvlIOolVDodZDPwyqc88PTTciPD5dn6ZIEVuUPzG
 Dh1XiI68ie90WOIVqz.RlFJROvyTafvdBXkDfwrOXPCJnObX5e7GsdEuEjFwflMMgp_oSqXltwD5
 e0opMWCfknyXj7d1_WZY7gYwMbLMd7kuYzwjkjYH0Q9rxTn_h9_qdIGNDdZfw_XCptYJoB.79x5F
 cADlYjjWsM4E5S_koFy5k9sFywellHKb8gBIYiNg_uBxnLExaK8f4ObP_1aViGFptS0sMTaElpcS
 87QVoU7fKJKk4B.0qLfxHjFaEz7tR145AxO2ZQukAPUifKGrIHHRAhAKlL51j_27WMjRCELBs.gB
 x1iXy2w2zsb1ZC8rAGVQsBiQd8mC3I0U5DGtaqXadXCdjCi3QKlIJJc1LKxCzDi6lbJTapE3zncR
 4pAk8cL9x9F3wAFw1XdbDe1l.9kvJJmIITqM7xy2tAaHjV5kMAXrkmHoB9Rdk6MWyC.Mz82uI6Qr
 gZIAhPHRH5X.Ji364TlF2x2i9JAvdODIFRPgz80iWGu9IMKbg1_CFu0y46XxWz16hqK0JzHApIdk
 SnpbXWvXG91NTctMDGB8GePaecHA8uJpseeAZWuualO9Ez7ufwmS3LikVcQnmo4xAMmruOfLYof.
 .lTGpiqoLUvYDWChWriHDjJOA1lwKuU6sFm3nerEVpVAmqp9i2DoEqBNlcGyJnIR5Wkkla5KtoDp
 lGqlIsIIvhNhSlLExLqBXe5x9XC1vsV0s4zS1uEsmg0M6IA6RgpX5FfQIxF.k2d.f1LSOxxa0sp8
 OtBcuUk4zi6_17RDD3N5GDYpdoFRxvPtq0c0AS.bdS_rV2R5nkw--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ir2.yahoo.com with HTTP; Mon, 25 Feb 2019 11:50:59 +0000
Date: Mon, 25 Feb 2019 11:50:57 +0000 (UTC)
From: Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Message-ID: <811395573.7577375.1551095457297@HIDDEN>
Subject: 26.1; emacs-client: gpm-mouse rejected at daemon launch
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_7577374_1303807139.1551095457295"
References: <811395573.7577375.1551095457297.ref@HIDDEN>
X-Mailer: WebService/1.1.13123 YMailNorrin Mozilla/5.0 (X11; Linux x86_64;
 rv:65.0) Gecko/20100101 Firefox/65.0
Content-Length: 13447
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-Received-From: 77.238.179.82
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 3.8 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Starting emacs daemon in console as: emacs -u user -chdir
 /home/user --fg-daemon=emacs.user --debug-init outputs: 
 Content analysis details:   (3.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: x.org]
 1.0 HK_RANDOM_FROM         From username looks random
 0.5 FROM_LOCAL_NOVOWEL     From: localpart has series of non-vowel
 letters
 0.6 HK_RANDOM_ENVFROM      Envelope sender username looks random
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 1.0 FORGED_YAHOO_RCVD      'From' yahoo.com does not match 'Received'
 headers
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (lpdmlpdm[at]yahoo.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.92 listed in wl.mailspike.net]
 0.0 HTML_MESSAGE           BODY: HTML included in message
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 25 Feb 2019 09:59:53 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Starting emacs daemon in console as: emacs -u user -chdir
   /home/user --fg-daemon=emacs.user --debug-init outputs: 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 HK_RANDOM_FROM         From username looks random
  0.5 FROM_LOCAL_NOVOWEL     From: localpart has series of non-vowel
                             letters
  0.6 HK_RANDOM_ENVFROM      Envelope sender username looks random
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: x.org]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (lpdmlpdm[at]yahoo.com)
  1.0 FORGED_YAHOO_RCVD      'From' yahoo.com does not match 'Received'
                             headers
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.51.188.92 listed in wl.mailspike.net]
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

------=_Part_7577374_1303807139.1551095457295
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Starting emacs daemon in console as:

emacs -u user -chdir /home/user --fg-daemon=3Demacs.user --debug-init

outputs:

Loading t-mouse...
Loading t-mouse...done
Error setting gpm-mouse-mode: (error Gpm-mouse only works in the GNU/Linux =
console)
Starting Emacs daemon.

Consequently mouse won't be usable when connecting to daemon, whereas stand=
alone emacs launched in console has mouse enabled.

Context:

cat /home/user/.emacs

;; Added by Package.el.=C2=A0 This must come before configurations of
;; installed packages.=C2=A0 Don't delete this line.=C2=A0 If you don't wan=
t it,
;; just comment it out by adding a semicolon to the start of the line.
;; You may delete these explanatory comments.
(package-initialize)

=C2=A0(set-background-color "black")
=C2=A0(set-face-background 'default "black")
=C2=A0(set-face-background 'region "black")
=C2=A0(set-face-foreground 'default "white")
=C2=A0(set-face-foreground 'region "gray60")
=C2=A0(set-foreground-color "white")
=C2=A0(set-cursor-color "red")

(setq make-backup-files nil) ; stop creating backup~ files
(setq auto-save-default nil) ; stop creating #autosave# files

(custom-set-variables
=C2=A0;; custom-set-variables was added by Custom.
=C2=A0;; If you edit it by hand, you could mess it up, so be careful.
=C2=A0;; Your init file should contain only one such instance.
=C2=A0;; If there is more than one, they won't work right.
=C2=A0'(gpm-mouse-mode t))

(custom-set-faces
=C2=A0;; custom-set-faces was added by Custom.
=C2=A0;; If you edit it by hand, you could mess it up, so be careful.
=C2=A0;; Your init file should contain only one such instance.
=C2=A0;; If there is more than one, they won't work right.
=C2=A0)

NB: bug reported at https://bugs.gentoo.org/677826
Thks

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu)
=C2=A0of 2019-02-12 built on asuslpm
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description:=C2=A0=C2=A0 =C2=A0Gentoo Base System release 2.6

Recent messages:
Loading t-mouse...done
Loading xt-mouse...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
=C2=A0'configure --prefix=3D/usr --build=3Dx86_64-pc-linux-gnu
=C2=A0--host=3Dx86_64-pc-linux-gnu --mandir=3D/usr/share/man
=C2=A0--infodir=3D/usr/share/info --datadir=3D/usr/share --sysconfdir=3D/et=
c
=C2=A0--localstatedir=3D/var/lib --disable-silent-rules
=C2=A0--docdir=3D/usr/share/doc/emacs-26.1-r3
=C2=A0--htmldir=3D/usr/share/doc/emacs-26.1-r3/html --libdir=3D/usr/lib64
=C2=A0--program-suffix=3D-emacs-26 --infodir=3D/usr/share/info/emacs-26
=C2=A0--localstatedir=3D/var
=C2=A0--enable-locallisppath=3D/etc/emacs:/usr/share/emacs/site-lisp
=C2=A0--without-compress-install --without-hesiod --without-pop
=C2=A0--with-file-notification=3Dno --disable-acl --without-dbus
=C2=A0--without-modules --without-gameuser --with-gpm --without-kerberos
=C2=A0--without-kerberos5 --without-lcms2 --without-xml2 --without-mailutil=
s
=C2=A0--without-selinux --without-gnutls --without-libsystemd
=C2=A0--without-threads --without-wide-int --without-zlib --with-sound=3Dos=
s
=C2=A0--with-x --without-ns --without-gconf --without-gsettings
=C2=A0--with-toolkit-scroll-bars --without-gif --without-jpeg --without-png
=C2=A0--without-rsvg --without-tiff --with-xpm --without-imagemagick
=C2=A0--with-xft --without-cairo --without-libotf --without-m17n-flt
=C2=A0--with-x-toolkit=3Dno 'CFLAGS=3D-march=3Dnative -mtune=3Dskylake -O2 =
-pipe'
=C2=A0CPPFLAGS=3D 'LDFLAGS=3D-Wl,-O1 -Wl,-fuse-ld=3Dbfd -Wl,--enable-new-dt=
ags
=C2=A0-march=3Dnative -mtune=3Dskylake -O2 -pipe''

Configured features:
XPM SOUND GPM FREETYPE XFT OLDXMENU X11

Important settings:
=C2=A0 value of $LANG: fr_FR.utf8
=C2=A0 locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
=C2=A0 xterm-mouse-mode: t
=C2=A0 gpm-mouse-mode: t
=C2=A0 tooltip-mode: t
=C2=A0 global-eldoc-mode: t
=C2=A0 electric-indent-mode: t
=C2=A0 mouse-wheel-mode: t
=C2=A0 tool-bar-mode: t
=C2=A0 menu-bar-mode: t
=C2=A0 file-name-shadow-mode: t
=C2=A0 global-font-lock-mode: t
=C2=A0 blink-cursor-mode: t
=C2=A0 auto-composition-mode: t
=C2=A0 auto-encryption-mode: t
=C2=A0 auto-compression-mode: t
=C2=A0 buffer-read-only: t
=C2=A0 line-number-mode: t
=C2=A0 transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils elec-pair web-mode advice disp-table
xt-mouse t-mouse cus-start cus-load finder-inf package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib site-gentoo time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dynamic-setting font-render-setting x multi-tty
make-network-process emacs)

Memory information:
((conses 16 127340 11451)
=C2=A0(symbols 48 23547 1)
=C2=A0(miscs 40 77 115)
=C2=A0(strings 32 39253 1295)
=C2=A0(string-bytes 1 1043338)
=C2=A0(vectors 16 17583)
=C2=A0(vector-slots 8 526650 8204)
=C2=A0(floats 8 60 243)
=C2=A0(intervals 56 307 0)
=C2=A0(buffers 992 12))
------=_Part_7577374_1303807139.1551095457295
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"ydp4fb86ad5yahoo-style-wrap" style=
=3D"font-family:Helvetica Neue, Helvetica, Arial, sans-serif;font-size:13px=
;"><span>Starting emacs daemon in console as:<br><br>emacs -u user -chdir /=
home/user --fg-daemon=3Demacs.user --debug-init<br><br>outputs:<br><br>Load=
ing t-mouse...<br>Loading t-mouse...done<br>Error setting gpm-mouse-mode: (=
error Gpm-mouse only works in the GNU/Linux console)<br>Starting Emacs daem=
on.<br><br>Consequently mouse won't be usable when connecting to daemon, wh=
ereas standalone emacs launched in console has mouse enabled.<br><br>Contex=
t:<br><br>cat /home/user/.emacs<br><br>;; Added by Package.el.&nbsp; This m=
ust come before configurations of<br>;; installed packages.&nbsp; Don't del=
ete this line.&nbsp; If you don't want it,<br>;; just comment it out by add=
ing a semicolon to the start of the line.<br>;; You may delete these explan=
atory comments.<br>(package-initialize)<br><br>&nbsp;(set-background-color =
"black")<br>&nbsp;(set-face-background 'default "black")<br>&nbsp;(set-face=
-background 'region "black")<br>&nbsp;(set-face-foreground 'default "white"=
)<br>&nbsp;(set-face-foreground 'region "gray60")<br>&nbsp;(set-foreground-=
color "white")<br>&nbsp;(set-cursor-color "red")<br><br>(setq make-backup-f=
iles nil) ; stop creating backup~ files<br>(setq auto-save-default nil) ; s=
top creating #autosave# files<br><br>(custom-set-variables<br>&nbsp;;; cust=
om-set-variables was added by Custom.<br>&nbsp;;; If you edit it by hand, y=
ou could mess it up, so be careful.<br>&nbsp;;; Your init file should conta=
in only one such instance.<br>&nbsp;;; If there is more than one, they won'=
t work right.<br>&nbsp;'(gpm-mouse-mode t))<br><br>(custom-set-faces<br>&nb=
sp;;; custom-set-faces was added by Custom.<br>&nbsp;;; If you edit it by h=
and, you could mess it up, so be careful.<br>&nbsp;;; Your init file should=
 contain only one such instance.<br>&nbsp;;; If there is more than one, the=
y won't work right.<br>&nbsp;)<br><br><div>NB: bug reported at https://bugs=
.gentoo.org/677826</div><div><br></div><div>Thks<br></div><br>In GNU Emacs =
26.1 (build 1, x86_64-pc-linux-gnu)<br>&nbsp;of 2019-02-12 built on asuslpm=
<br>Windowing system distributor 'The X.Org Foundation', version 11.0.12003=
000<br>System Description:&nbsp;&nbsp; &nbsp;Gentoo Base System release 2.6=
<br><br>Recent messages:<br>Loading t-mouse...done<br>Loading xt-mouse...do=
ne<br>For information about GNU Emacs and the GNU system, type C-h C-a.<br>=
<br>Configured using:<br>&nbsp;'configure --prefix=3D/usr --build=3Dx86_64-=
pc-linux-gnu<br>&nbsp;--host=3Dx86_64-pc-linux-gnu --mandir=3D/usr/share/ma=
n<br>&nbsp;--infodir=3D/usr/share/info --datadir=3D/usr/share --sysconfdir=
=3D/etc<br>&nbsp;--localstatedir=3D/var/lib --disable-silent-rules<br>&nbsp=
;--docdir=3D/usr/share/doc/emacs-26.1-r3<br>&nbsp;--htmldir=3D/usr/share/do=
c/emacs-26.1-r3/html --libdir=3D/usr/lib64<br>&nbsp;--program-suffix=3D-ema=
cs-26 --infodir=3D/usr/share/info/emacs-26<br>&nbsp;--localstatedir=3D/var<=
br>&nbsp;--enable-locallisppath=3D/etc/emacs:/usr/share/emacs/site-lisp<br>=
&nbsp;--without-compress-install --without-hesiod --without-pop<br>&nbsp;--=
with-file-notification=3Dno --disable-acl --without-dbus<br>&nbsp;--without=
-modules --without-gameuser --with-gpm --without-kerberos<br>&nbsp;--withou=
t-kerberos5 --without-lcms2 --without-xml2 --without-mailutils<br>&nbsp;--w=
ithout-selinux --without-gnutls --without-libsystemd<br>&nbsp;--without-thr=
eads --without-wide-int --without-zlib --with-sound=3Doss<br>&nbsp;--with-x=
 --without-ns --without-gconf --without-gsettings<br>&nbsp;--with-toolkit-s=
croll-bars --without-gif --without-jpeg --without-png<br>&nbsp;--without-rs=
vg --without-tiff --with-xpm --without-imagemagick<br>&nbsp;--with-xft --wi=
thout-cairo --without-libotf --without-m17n-flt<br>&nbsp;--with-x-toolkit=
=3Dno 'CFLAGS=3D-march=3Dnative -mtune=3Dskylake -O2 -pipe'<br>&nbsp;CPPFLA=
GS=3D 'LDFLAGS=3D-Wl,-O1 -Wl,-fuse-ld=3Dbfd -Wl,--enable-new-dtags<br>&nbsp=
;-march=3Dnative -mtune=3Dskylake -O2 -pipe''<br><br>Configured features:<b=
r>XPM SOUND GPM FREETYPE XFT OLDXMENU X11<br><br>Important settings:<br>&nb=
sp; value of $LANG: fr_FR.utf8<br>&nbsp; locale-coding-system: utf-8-unix<b=
r><br>Major mode: Fundamental<br><br>Minor modes in effect:<br>&nbsp; xterm=
-mouse-mode: t<br>&nbsp; gpm-mouse-mode: t<br>&nbsp; tooltip-mode: t<br>&nb=
sp; global-eldoc-mode: t<br>&nbsp; electric-indent-mode: t<br>&nbsp; mouse-=
wheel-mode: t<br>&nbsp; tool-bar-mode: t<br>&nbsp; menu-bar-mode: t<br>&nbs=
p; file-name-shadow-mode: t<br>&nbsp; global-font-lock-mode: t<br>&nbsp; bl=
ink-cursor-mode: t<br>&nbsp; auto-composition-mode: t<br>&nbsp; auto-encryp=
tion-mode: t<br>&nbsp; auto-compression-mode: t<br>&nbsp; buffer-read-only:=
 t<br>&nbsp; line-number-mode: t<br>&nbsp; transient-mark-mode: t<br><br>Lo=
ad-path shadows:<br>None found.<br><br>Features:<br>(shadow sort mail-extr =
emacsbug message rmc puny dired dired-loaddefs<br>format-spec rfc822 mml mm=
l-sec epa derived epg gnus-util rmail<br>rmail-loaddefs mm-decode mm-bodies=
 mm-encode mail-parse rfc2231<br>mailabbrev gmm-utils mailheader sendmail r=
fc2047 rfc2045 ietf-drums<br>mm-util mail-prsvr mail-utils elec-pair web-mo=
de advice disp-table<br>xt-mouse t-mouse cus-start cus-load finder-inf pack=
age easymenu<br>epg-config url-handlers url-parse auth-source cl-seq eieio =
eieio-core<br>cl-macs eieio-loaddefs password-cache url-vars seq byte-opt g=
v bytecomp<br>byte-compile cconv cl-loaddefs cl-lib site-gentoo time-date m=
ule-util<br>tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-=
type<br>mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset =
image<br>regexp-opt fringe tabulated-list replace newcomment text-mode elis=
p-mode<br>lisp-mode prog-mode register page menu-bar rfn-eshadow isearch ti=
mer<br>select scroll-bar mouse jit-lock font-lock syntax facemenu font-core=
<br>term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang<br>=
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932<br>he=
brew greek romanian slovak czech european ethiopic indian cyrillic<br>chine=
se composite charscript charprop case-table epa-hook jka-cmpr-hook<br>help =
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs<br>button fa=
ces cus-face macroexp files text-properties overlay sha1 md5<br>base64 form=
at env code-pages mule custom widget hashtable-print-readable<br>backquote =
dynamic-setting font-render-setting x multi-tty<br>make-network-process ema=
cs)<br><br>Memory information:<br>((conses 16 127340 11451)<br>&nbsp;(symbo=
ls 48 23547 1)<br>&nbsp;(miscs 40 77 115)<br>&nbsp;(strings 32 39253 1295)<=
br>&nbsp;(string-bytes 1 1043338)<br>&nbsp;(vectors 16 17583)<br>&nbsp;(vec=
tor-slots 8 526650 8204)<br>&nbsp;(floats 8 60 243)<br>&nbsp;(intervals 56 =
307 0)<br>&nbsp;(buffers 992 12))</span></div></body></html>
------=_Part_7577374_1303807139.1551095457295--




Acknowledgement sent to Luc Pierard de Maujouy <lpdmlpdm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34648; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.